Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgUtil::PositionalStateContainer Class Reference

PositionalStateContainer base class. More...

Inheritance diagram for osgUtil::PositionalStateContainer:

[legend]
List of all members.

## Public Types
typedef std::pair< osg::ref_ptr< const osg::StateAttribute >, osg::ref_ptr< osg::RefMatrix > > | AttrMatrixPair
typedef std::vector< AttrMatrixPair > | AttrMatrixList
typedef std::map< unsigned int, AttrMatrixList > | TexUnitAttrMatrixListMap
## Public Member Functions
| PositionalStateContainer ()
virtual osg::Object * | cloneType () const
| Clone the type of an object, with Object* return type.
virtual osg::Object * | clone (const osg::CopyOp &) const
virtual bool | isSameKindAs (const osg::Object *obj) const
virtual const char * | libraryName () const
| return the name of the object's library.
virtual const char * | className () const
| return the name of the object's class type.
virtual void | reset ()
virtual void | addPositionedAttribute (osg::RefMatrix *matrix, const osg::StateAttribute *attr)
virtual void | addPositionedTextureAttribute (unsigned int textureUnit, osg::RefMatrix *matrix, const osg::StateAttribute *attr)
virtual void | draw (osg::State &state, RenderLeaf *&previous, const osg::Matrix *postMultMatrix=0)
## Public Attributes
AttrMatrixList | _attrList
TexUnitAttrMatrixListMap | _texAttrListMap
## Protected Member Functions
virtual | ~PositionalStateContainer ()

## Detailed Description

PositionalStateContainer base class.

Used in RenderStage class.

## Member Typedef Documentation

typedef std::vector< AttrMatrixPair > osgUtil::PositionalStateContainer::AttrMatrixList

typedef std::pair< osg::ref_ptr<const osg::StateAttribute> , osg::ref_ptr<osg::RefMatrix> > osgUtil::PositionalStateContainer::AttrMatrixPair

typedef std::map< unsigned int, AttrMatrixList > osgUtil::PositionalStateContainer::TexUnitAttrMatrixListMap

## Constructor & Destructor Documentation

osgUtil::PositionalStateContainer::PositionalStateContainer | ( |  | ) |

virtual osgUtil::PositionalStateContainer::~PositionalStateContainer | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual void osgUtil::PositionalStateContainer::addPositionedAttribute | ( | osg::RefMatrix * | matrix,
|  | const osg::StateAttribute * | attr
| ) | `[inline, virtual]`

virtual void osgUtil::PositionalStateContainer::addPositionedTextureAttribute | ( | unsigned int | textureUnit,
|  | osg::RefMatrix * | matrix,
|  | const osg::StateAttribute * | attr
| ) | `[inline, virtual]`

virtual const char* osgUtil::PositionalStateContainer::className | ( |  | ) | const`[inline, virtual]`

| return the name of the object's class type. Must be defined by derived classes. Implements osg::Object.

virtual osg::Object* osgUtil::PositionalStateContainer::clone | ( | const osg::CopyOp & |  | ) | const`[inline, virtual]`

virtual osg::Object* osgUtil::PositionalStateContainer::cloneType | ( |  | ) | const`[inline, virtual]`

| Clone the type of an object, with Object* return type. Must be defined by derived classes. Implements osg::Object.

virtual void osgUtil::PositionalStateContainer::draw | ( | osg::State & | state,
|  | RenderLeaf *& | previous,
|  | const osg::Matrix * | postMultMatrix = 0
| ) | `[virtual]`

virtual bool osgUtil::PositionalStateContainer::isSameKindAs | ( | const osg::Object * | obj | ) | const`[inline, virtual]`

virtual const char* osgUtil::PositionalStateContainer::libraryName | ( |  | ) | const`[inline, virtual]`

| return the name of the object's library. Must be defined by derived classes. The OpenSceneGraph convention is that the namespace of a library is the same as the library name. Implements osg::Object.

virtual void osgUtil::PositionalStateContainer::reset | ( |  | ) | `[virtual]`

## Member Data Documentation

AttrMatrixList osgUtil::PositionalStateContainer::_attrList

TexUnitAttrMatrixListMap osgUtil::PositionalStateContainer::_texAttrListMap

The documentation for this class was generated from the following file:

- PositionalStateContainer